SeqSimilarityStAXHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Class SeqSimilarityStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler

All Implemented Interfaces:
  StAXContentHandler

Direct Known Subclasses:
  AlignmentStAXHandler, HeaderStAXHandler, HitStAXHandler, HSPStAXHandler, HSPSummaryStAXHandler

    public class SeqSimilarityStAXHandler

extends StAXContentHandlerBase

`SeqSimilarityStAXHandler` is a base class for creating modular StAX handlers which send callbacks to a `SeqSimilarityStAXAdapter`.

Since:
  1.3
Author:
  Keith James

Field Summary
`protected SeqSimilarityStAXAdapter` | `ssContext`

Constructor Summary
`SeqSimilarityStAXHandler(SeqSimilarityStAXAdapter ssContext)` Creates a new `SeqSimilarityStAXHandler` which simply maintains a list of `StAXHandlerBinding`s and delegates to any suitable `StAXContentHandler` bound by one of them.

Method Summary
`protected void` | `addHandler(ElementRecognizer recognizer, StAXHandlerFactory factory)`
`void` | `endElement(String nsURI, String localName, String qName, StAXContentHandler handler)`
`protected void` | `handleEndElement(String nsURI, String localName, String qName)`
`protected void` | `handleStartElement(String nsURI, String localName, String qName, Attributes attrs)`
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ssContext

    protected SeqSimilarityStAXAdapter ssContext

Constructor Detail

### SeqSimilarityStAXHandler

    public SeqSimilarityStAXHandler(SeqSimilarityStAXAdapter ssContext)

  Creates a new `SeqSimilarityStAXHandler` which simply maintains a list of `StAXHandlerBinding`s and delegates to any suitable `StAXContentHandler` bound by one of them.

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName,
                           StAXContentHandler handler)
                    throws SAXException

  Specified by:
    `endElement` in interface `StAXContentHandler`
  Overrides:
    `endElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### addHandler

    protected void addHandler(ElementRecognizer recognizer,
                              StAXHandlerFactory factory)

### handleStartElement

    protected void handleStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)
                               throws SAXException

  Throws:
    `SAXException`

### handleEndElement

    protected void handleEndElement(String nsURI,
                                    String localName,
                                    String qName)
                             throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD